### Class

# Ide LspSymbolResolver

#### Description

    abstract class Ide.LspSymbolResolver : Ide.Object {
      parent_instance: IdeObject
    }

No description available.

#### Ancestors

- IdeObject
- GObject

#### Implements

- IdeSymbolResolver

#### Instance methods

###### ide_lsp_symbol_resolver_get_client

Gets the client used by the symbol resolver.

###### ide_lsp_symbol_resolver_set_client

No description available.

##### Methods inherited from IdeObject (28)

Please see IdeObject for a full list of methods.

##### Methods inherited from GObject (43)

Please see GObject for a full list of methods.

##### Methods inherited from IdeSymbolResolver (10)

###### ide_symbol_resolver_find_nearest_scope_async

This function asynchronously requests to locate the containing scope for a given source location.

Available since: 3.32

###### ide_symbol_resolver_find_nearest_scope_finish

This function completes an asynchronous operation to locate the containing scope for a given source location.

Available since: 3.32

###### ide_symbol_resolver_find_references_async

No description available.

###### ide_symbol_resolver_find_references_finish

Completes an asynchronous request to ide_symbol_resolver_find_references_async().

Available since: 3.32

###### ide_symbol_resolver_get_symbol_tree_async

Asynchronously fetch an up to date symbol tree for `file`.

Available since: 3.32

###### ide_symbol_resolver_get_symbol_tree_finish

Completes an asynchronous request to get the symbol tree for the requested file.

Available since: 3.32

###### ide_symbol_resolver_load

No description available.

###### ide_symbol_resolver_lookup_symbol_async

Asynchronously requests that `self` determine the symbol existing at the source location denoted by `self`. `callback` should call `ide_symbol_resolver_lookup_symbol_finish()` to retrieve the result.

Available since: 3.32

###### ide_symbol_resolver_lookup_symbol_finish

Completes an asynchronous call to lookup a symbol using ide_symbol_resolver_lookup_symbol_async().

Available since: 3.32

###### ide_symbol_resolver_unload

No description available.

#### Properties

###### Ide.LspSymbolResolver:client

No description available.

##### Properties inherited from IdeObject (2)

###### Ide.Object:cancellable

The “cancellable” property is a `GCancellable` that can be used by operations that will be cancelled when the `IdeObject::destroy` signal is emitted on `self`.

Available since: 3.32

###### Ide.Object:parent

The parent `IdeObject`, if any.

Available since: 3.32

#### Signals

##### Signals inherited from IdeObject (1)

###### Ide.Object::destroy

The “destroy” signal is emitted when the object should destroy itself and cleanup any state that is no longer necessary. This happens when the object has been removed from the because it was requested to be destroyed, or because a parent object is being destroyed.

Available since: 3.32

##### Signals inherited from GObject (1)

###### GObject.Object::notify

The notify signal is emitted on an object when one of its properties has its value set through g_object_set_property(), g_object_set(), et al.

#### Class structure

    struct IdeLspSymbolResolverClass {
      IdeObjectClass parent_class;

    }

###### Class members

`parent_class` |
    IdeObjectClass
| No description available.